> For the complete documentation index, see [llms.txt](https://docs.bitflow.finance/bitflow-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitflow.finance/bitflow-documentation/developers/public-api-documentation.md).

# Public API Documentation

## Base URL

```
<https://bitflow-sdk-api-gateway-7owjsmt8.uc.gateway.dev>
```

## Available Endpoints

### Get Ticker

Retrieve details of all available tokens on the DEX.

```
GET /ticker
```

Sample Response

```json
  {
    "ask": 0.0563427827802654,
    "base_currency": "SM3VDXK3WZZSA84XXFKAFAF15NNZX32CTSG82JFQ4.sbtc-token",
    "base_volume": 0.00005497,
    "bid": 0.0563427827802654,
    "high": 5586592.17877095,
    "last_price": 5555555.55555556,
    "liquidity_in_usd": 33098.7565339403,
    "low": 5536332.1799308,
    "target_currency": "SP14NS8MVBRHXMM96BQY0727AJ59SWPV7RMHC0NCG.pontis-bridge-BDC",
    "target_volume": 306,
    "ticker_id": "SM3VDXK3WZZSA84XXFKAFAF15NNZX32CTSG82JFQ4.sbtc-token_SP14NS8MVBRHXMM96BQY0727AJ59SWPV7RMHC0NCG.pontis-bridge-BDC"
  }
```

* ticker\_id: Identifier of a ticker with delimiter to separate base/target
* base\_volume: the total trading volume measured in the base currency of the pair over the last 24 hours.
  * Ex: if your trading pair is BTC/USDT, the base volume would be the sum of all BTC amounts traded in that period.
* base\_currency: Contract Address of the base asset
* target\_volume: the total trading volume measured in the target currency of the pair over the last 24 hours.
  * Ex: if your trading pair is BTC/USDT, the base volume would be the sum of all USDT amounts traded.
* target\_currency: Contract Address of the target asset
* liquidity\_in\_usd: Pool liquidity in USD
* high: the highest price at which any trade (or transaction) occurred over the past 24 hours.
* low: the lowest price at which any trade (or transaction) occurred over the past 24 hours.
* last\_price: Last transacted price of base currency based on given target currency
  * last\_price = targetTokenAmountTransacted / baseTokenAmountTransacted
* ask: most recent quote price directly going through the ticker
* bid: most recent quote price directly going through the ticker

## SDK API Requests

If you would like to work with BitFlow trough our SDK or get access to our private APIs please reach out to the team. We always have oppotunities to share, collaborate, and build together!&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitflow.finance/bitflow-documentation/developers/public-api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
